Bug 889584 - network spoke fails to notice correction in manual DNS server address
Summary: network spoke fails to notice correction in manual DNS server address
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-21 19:38 UTC by Tom Lane
Modified: 2015-06-30 01:21 UTC (History)
6 users (show)

Fixed In Version: anaconda-22.17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:21:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1033063 None None None Never

Internal Links: 1033063

Description Tom Lane 2012-12-21 19:38:40 UTC
Description of problem:
In a network without DHCP service, I set up manual addressing correctly except I intentionally gave a wrong DNS server address, with the intention of retesting bug #870570.  I then went on to the main install menu, where installation source spoke reported failure as expected (though the network configuration spoke was displaying "Wireless connected to <my access point>").  I returned to the network spoke, where I saw the wrong DNS address displayed (as expected).  I pressed configure, corrected the info, hit save.  The DNS address in the display did not change, although the "status" was now "Connected".  I clicked configure again, verified that the DNS address was correct in that popup window, hit save again.  Still wrong address in the display.  I clicked Done, went back to the main menu, where I found that indeed #870570 is still broken because anaconda failed to retry downloading metadata.  However, when I forced it to retry using the workaround mentioned in #870570, it still failed!  This indicates that anaconda is not using the corrected DNS server address.  Returning to the network spoke page still shows the wrong address, too, so that's not just a cosmetic error as I'd hoped.

So there's probably two bugs here: one being not transferring the corrected DNS server address to all the right places, and the other being that the network status is displayed as "ok" when it's not really working.

Version-Release number of selected component (if applicable):
whatever is in F18 Final TC3 (btw, if you'd like people to tell you the anaconda version they're testing, wouldn't it be a good idea to display that more prominently?)

How reproducible:
didn't try more than once

Steps to Reproduce:
as above

Comment 1 Radek Vykydal 2013-01-02 12:12:39 UTC
To use changed configuration (new DNS address in this case), the connection has to switched off and on (as in installed system).

We might be misusing the term "Connected", it corresponds to NM state in which the device has been configured and activated.
We don't do real connectivity check (i.e. checking functionality of DNS setting).

Comment 3 Fedora End Of Life 2013-12-21 10:02:19 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Radek Vykydal 2015-03-09 15:37:38 UTC
This should be fixed in F22.

Comment 5 Fedora End Of Life 2015-05-29 08:49:54 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-30 01:21:52 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.